# Check availability of columns — availability • AMR (for R)
Easy check for availability of columns in a data set. This makes it easy to get an idea of which antibiotic combination can be used for calculation with e.g. portion_IR.

# Check availability of columns

`availability.Rd`

Easy check for availability of columns in a data set. This makes it easy to get an idea of which antibiotic combination can be used for calculation with e.g. `portion_IR`.

    availability(tbl, width = NULL)

## Arguments

tbl | a `data.frame` or `list`
width | number of characters to present the visual availability, defaults to filling the width of the console

## Value

`data.frame` with column names of `tbl` as row names

## Read more on our website!

On our website https://msberends.gitlab.io/AMR you can find a tutorial about how to conduct AMR analysis, the complete documentation of all functions (which reads a lot easier than here in R) and an example analysis using WHONET data.

## Examples

    # NOT RUN {
    availability(septic_patients)

    library(dplyr)
    septic_patients %>% availability()

    septic_patients %>%
      select_if(is.rsi) %>%
      availability()

    septic_patients %>%
      filter(mo == as.mo("E. coli")) %>%
      select_if(is.rsi) %>%
      availability()
    # }